| FlatBuffers An open source project by FPL.

Public Member Functions | List of all members
com.google.flatbuffers.ShortVector Class Reference

Helper type for accessing vector of signed or unsigned 16-bit values. More...

Inheritance diagram for com.google.flatbuffers.ShortVector:

## Detailed Description

Helper type for accessing vector of signed or unsigned 16-bit values.

## Public Member Functions
ShortVector | __assign (int _vector, ByteBuffer _bb)
| Assigns vector access object to vector data. More...
short | get (int j)
| Reads the short value at the given index. More...
int | getAsUnsigned (int j)
| Reads the short at the given index, zero-extends it to type int, and returns the result, which is therefore in the range 0 through 65535. More...

## Member Function Documentation

## ◆ __assign()

ShortVector com.google.flatbuffers.ShortVector.__assign | ( | int | _vector,
|  | ByteBuffer | _bb
| ) |  |
| inline

Assigns vector access object to vector data.

Parameters

  _vector | Start data of a vector.
  _bb | Table's ByteBuffer.

Returns
  Returns current vector access object assigned to vector data whose offset is stored at `vector`.

## ◆ get()

short com.google.flatbuffers.ShortVector.get | ( | int | j | ) |
| inline

Reads the short value at the given index.

Parameters

  j | The index from which the short value will be read.

Returns
  the 16-bit value at the given index.

## ◆ getAsUnsigned()

int com.google.flatbuffers.ShortVector.getAsUnsigned | ( | int | j | ) |
| inline

Reads the short at the given index, zero-extends it to type int, and returns the result, which is therefore in the range 0 through 65535.

Parameters

  j | The index from which the short value will be read.

Returns
  the unsigned 16-bit at the given index.

The documentation for this class was generated from the following file:

- ShortVector.java